
From: Rusty Russell <rusty@rustcorp.com.au>

There is no __attribute_unused__: use __attribute__((__unused__)).

Signed-off-by: Rusty Russell <rusty@rustcorp.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/module.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/module.h~fix-for-module_parm-obsolete include/linux/module.h
--- 25/include/linux/module.h~fix-for-module_parm-obsolete	2004-10-20 23:00:47.859450424 -0700
+++ 25-akpm/include/linux/module.h	2004-10-20 23:00:47.862449968 -0700
@@ -559,14 +559,14 @@ struct obsolete_modparm {
 	void *addr;
 };
 
-extern void __deprecated MODULE_PARM_(void);
+static inline void __deprecated MODULE_PARM_(void) { }
 #ifdef MODULE
 /* DEPRECATED: Do not use. */
 #define MODULE_PARM(var,type)						    \
 struct obsolete_modparm __parm_##var __attribute__((section("__obsparm"))) = \
 { __stringify(var), type, &MODULE_PARM_ };
 #else
-#define MODULE_PARM(var,type) static void __attribute_unused__ *__parm_##var = &MODULE_PARM_;
+#define MODULE_PARM(var,type) static void __attribute__((__unused__)) *__parm_##var = &MODULE_PARM_;
 #endif
 
 #define __MODULE_STRING(x) __stringify(x)
_
